#ifndef UPDATELEDSET3DIALOG_H
#define UPDATELEDSET3DIALOG_H

#include <LoQClass/loqdialog.h>
#include <QSimpleUpdater.h>

namespace Ui {
class UpdateLedset3Dialog;
}

class UpdateLedset3Dialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UpdateLedset3Dialog(QWidget *parent = nullptr);
    ~UpdateLedset3Dialog();

private:
    Ui::UpdateLedset3Dialog *ui;
    QSimpleUpdater *m_updater;
    QString m_strLastestVersion="";
protected slots:
    void OnCheckForUpdates() ;
    void updateChangelog(QString);
    void OnDownloadFinished( QString url,  QString filepath);

};

#endif // UPDATELEDSET3DIALOG_H
